JUnit 5.1.0 发布,改进对 Java 9 模块化和 Kotlin 的支持 - 开源中国社区
Float_left Icon_close
JUnit 5.1.0 发布,改进对 Java 9 模块化和 Kotlin 的支持
王练 2018年02月28日

JUnit 5.1.0 发布,改进对 Java 9 模块化和 Kotlin 的支持

王练 王练 发布于2018年02月28日 收藏 7

做APP,小程序就上开源众包。世界杯期间免费领2600元启动金。>>>  

JUnit 5.1.0 已发布,主要更新内容包括:

  • Java 9 模块化 Discovering 测试

  • 改进 Kotlin 支持

  • 通过 @RegisterExtension 扩展编程方式配置

  • 标记表达式语言,以过滤要执行的测试

  • 改进参数化测试编写

  • 改进 ExtensionContext API

  • 支持在 IDE 中重新运行单个动态测试、参数化测试和测试模板调用

完整更新内容请查阅:

需注意的是,JUnit 5.0 更新后对 Java 运行环境的最低要求是 Java 8。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:JUnit 5.1.0 发布,改进对 Java 9 模块化和 Kotlin 的支持
分享
评论(2)
精彩评论
1
kotlin加油!
最新评论
1
kotlin加油!
0
年前不都更新了。
顶部